/*
**    Genray: A Generic Raytracer
**    Copyright (C) 1994  Stephen Chenney (stephen@cs.su.oz.au)
**
**    This program is free software; you can redistribute it and/or modify
**    it under the terms of the GNU General Public License as published by
**    the Free Software Foundation; either version 2 of the License, or
**    (at your option) any later version.
**
**    This program is distributed in the hope that it will be useful,
**    but WITHOUT ANY WARRANTY; without even the implied warranty of
**    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
**    GNU General Public License for more details.
**
**    You should have received a copy of the GNU General Public License
**    along with this program; if not, write to the Free Software
**    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
*/

/*
** rayin.h : definitions for the lexical analyser of raytrace.
** Definitions needed for lex to parse the input file.
*/

typedef enum input_token {
	EOF_TOKEN,
	STRING,
	INT,
	FLOAT,
	LOOKFROM,
	LOOKAT,
	LOOKUP,
	EYEDIST,
	WINDOW,
	SCREEN,
	AMBIENT,
	LIGHT,
	POSITION,
	COLOUR,
	DIFFERENCE,
	UNION,
	INTERSECTION,
	SPHERE,
	CUBE,
	CYLINDER,
	CONE,
	PLANE,
	SQUARE,
	TORUS,
	RADIUS,
	SCALE,
	ROTATE,
	TRANSLATE,
	TRANSFORM,
	DIFFUSE,
	SPECULAR,
	TRANSPARENCY,
	REFLECT,
	REFRACT,
	SET,
	PIXMAP,
	X_AXIS,
	Y_AXIS,
	Z_AXIS,
	NAME,
	INSTANCE,
	END,
	UNKNOWN
	} input_token;

#ifdef FLEX
extern	char	*yytext;
#else
extern	char	yytext[];
#endif /* FLEX */
extern	int		yylineno;
extern	char	*input_file_name;
extern	int		lex_int;
extern	double	lex_float;
extern	char	*lex_string;

extern	FILE	*yyin;

#ifdef FLEX
extern	input_token yylex();
#endif /* FLEX */


